### Virtual Method

# Gio DBusObjectManager get_interface

since: 2.30

#### Declaration

    GDBusInterface*
    get_interface (
      GDBusObjectManager* manager,
      const gchar* object_path,
      const gchar* interface_name
    )

#### Description

Gets the interface proxy for `interface_name` at `object_path`, if any.

Available since: 2.30

#### Parameters

`object_path`

  Type: `const gchar*`

  Object path to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const gchar*`

  D-Bus interface name to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusInterface`

A `GDBusInterface` instance or `NULL`. Free with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.